import type { Range, Options } from './types';
export declare class LetItGo {
    #private;
    readonly root: HTMLElement;
    get number(): number;
    set number(number: number);
    get velocityXRange(): Range;
    set velocityXRange(range: Range);
    get velocityYRange(): Range;
    set velocityYRange(range: Range);
    get radiusRange(): Range;
    set radiusRange(range: Range);
    get color(): CanvasFillStrokeStyles['fillStyle'];
    set color(color: CanvasFillStrokeStyles['fillStyle']);
    get alphaRange(): Range;
    set alphaRange(range: Range);
    backgroundColor: CanvasFillStrokeStyles['fillStyle'];
    style: Partial<CSSStyleDeclaration>;
    readonly canvas: HTMLCanvasElement;
    static readonly DEFAULT_OPTIONS: Required<Options>;
    constructor({ root, number, velocityXRange, velocityYRange, radiusRange, color, alphaRange, backgroundColor, style, }?: Readonly<Options>);
    static readonly FRAME_RATE = 30;
    static readonly FRAME_INTERVAL: number;
    letItStop(): void;
    letItGoAgain(): void;
    clear(): void;
}
export default LetItGo;
